SELECT Код_завода INTO #TmpTable FROM Справочник_заводов_изготовителей
SET IDENTITY_INSERT Справочник_заводов_изготовителей ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 1) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('EVWADF',1,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 2) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Siemens',2,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 3) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('АВВ',3,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 4) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЗВО',4,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 5) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЗСТ',5,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 6) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БТЗ',6,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 7) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЭАЗ',7,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 8) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЭЗ',8,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 9) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЭМЗ',9,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 10) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('БЭЩ',10,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 11) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('ЗТЗ',11,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 12) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('КометаЭнергомаш',12,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 13) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Краснодарэл.стр',13,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 14) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('КЭЩ',14,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 15) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('ЛТЗ',15,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 16) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Львовский изоляторный завод',16,'290043, г. Львов, ул. Зеленая, 301')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 17) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('МЗВВ',17,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 18) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('МЗТП',18,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 19) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Мос. эл. щит',19,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 20) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Московское производственное объединение "Электрозавод" им. Куйбышева',20,'г. Москва')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 21) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('МТЗ',21,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 22) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Новосельцевский опытный завод линейной и подстанционной арматуры',22,'141721, г. Новосельцево Мытищинского района Московской обл.')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 23) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('НПО "Электроаппарат"',23,'г. Санкт-Петербург')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 24) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('НРБ',24,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 25) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('НТЭАЗ',25,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 26) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('ОАО "Энергетика и экология" завод высоковольтной вакуумной аппаратуры',26,'662600, г. Минусинск Красноярского края, а/я 533')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 27) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('РЗВА',27,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 28) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Саратовское ФГУП "Научно-производственное предприятие "КОНТАКТ"',28,'410033, г. Саратов, 8-я Дачная, ул. Им.Спицына Б.В., 1')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 29) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Свердловский завод трансформаторов тока ПО "Уралэлектротяжмаш"',29,'г. Екатеринбург')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 30) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Славянский арматурно-изоляторный завод им. Артема',30,'343203, г. Славянск, З. Донецкой обл., ул. Добровольского, д.32')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 31) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Средне-Волжское ПО "Трансформатор"',31,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 32) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Таврида Электрик',32,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 33) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Товарковский завод высоковольтной арматуры',33,'301822, п. Токоварский Тульской обл. Богородицкого района')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 34) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('УЭТМ',34,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 35) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Феникс',35,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 36) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Харцызский литейный завод высоковольтной арматуры',36,'343700, г. Харцызск Донецкой обл., ул. Огарева, д.67')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 37) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('ХЭМЗ',37,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 38) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('ЧТЗ',38,NULL)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_завода = 39) INSERT INTO Справочник_заводов_изготовителей (Наименование,Код_завода,Адрес) VALUES ('Южно-Уральский арматурно-изоляторный завод',39,'457040, г. Южно-Уральск Челябинской обл., ул. Заводская, д.2')

SET IDENTITY_INSERT Справочник_заводов_изготовителей OFF
DROP TABLE #TmpTable
